'use strict';

angular.module('ark-common', [])
    .directive('dropdownFilter', function($log) {
        return {
            restrict: 'AE',
            scope: {
                model: '=treeModel',
                setSelection: '=setSelection',
                deleteCallback: '&'
            },
            templateUrl: 'app/libs/ark-nested/dropdown-filter-view.html',
            controller: 'dropdownTreeGmsCtrl',
            link: function(scope, ele, attr) {
                scope.element = ele;
            }
        };
    });